#define MyAppVer "5.0"

[Setup]
AppName=ArcThemALL!
AppVerName=ArcThemALL! (v{#MyAppVer})
AppPublisher=Lupo PenSuite Team
AppPublisherURL=https://sourceforge.net/projects/arcthemall/
AppSupportURL=http://www.lupopensuite.com/contact.htm
AppUpdatesURL=https://sourceforge.net/projects/arcthemall/
DefaultDirName={pf}\ArcThemALL!
DefaultGroupName=ArcThemALL!
;AllowNoIcons=yes
UninstallDisplayIcon={app}\ArcThemALL!.exe
InfoBeforeFile=..\ArcThemALL!_v{#MyAppVer}_Portable\Readme.txt
OutputDir=..\
OutputBaseFilename=ArcThemALL!_v{#MyAppVer}_Setup
Compression=lzma2/Ultra
SolidCompression=yes
VersionInfoVersion={#MyAppVer}
WizardImageFile=Lib\img\WizModernImage-IS.bmp
WizardSmallImageFile=Lib\img\WizModernSmallImage-IS.bmp
Uninstallable=not IsTaskSelected('portablemode')
CreateUninstallRegKey=not IsTaskSelected('portablemode')


[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"

[Tasks]
Name: "starmenuticon"; Description: "Create Start Menu icons"; GroupDescription: "{cm:AdditionalIcons}";
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked
Name: portablemode; Description: "Install in the Portable Mode"; GroupDescription: "Portable Mode"; Flags: unchecked

[Files]
Source: "..\ArcThemALL!_v{#MyAppVer}_Portable\ArcThemALL!.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\ArcThemALL!_v{#MyAppVer}_Portable\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs
; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[Icons]
Name: "{group}\ArcThemALL!"; Filename: "{app}\ArcThemALL!.exe";Comment: "Launch ArcThemALL!"; Tasks:starmenuticon;
Name: "{group}\Readme"; Filename: "{app}\Readme.txt";comment: "Open Readme file"; Tasks:starmenuticon;
Name: "{group}\{cm:UninstallProgram,ArcThemALL!}"; Filename: "{uninstallexe}";Comment: "Remove ArcThemALL!"; Tasks:starmenuticon;
Name: "{userdesktop}\ArcThemALL!"; Filename: "{app}\ArcThemALL!.exe";Comment: "Launch ArcThemALL!"; Tasks: desktopicon
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\ArcThemALL!"; Filename: "{app}\ArcThemALL!.exe";Comment: "Launch ArcThemALL!"; Tasks: quicklaunchicon

[Run]
Filename: "{app}\ArcThemALL!.exe"; Description: "{cm:LaunchProgram,ArcThemALL!}"; Flags: nowait postinstall skipifsilent unchecked

[UninstallDelete]
Type: filesandordirs; Name: "{userappdata}\ArcThemALL!"
Type: files; Name: "{app}\config.ini"
